<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.sd.trace"
   name="Hyades Profiling Sequence Diagrams"
   version="1.2.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.sd.trace.SDTracePlugin">

   <runtime>
      <library name="sd_trace.jar">
         <export name="*"/>      
	  	<packages prefixes="org.eclipse.hyades.sd.trace"/>   
	  </library>	                 
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.jdt.core"/>               
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="org.eclipse.hyades.sd.ui"/>
   </requires>

   <extension point="org.eclipse.hyades.ui.analyzerExtensions">
		<analyzerExtension 
			name="%STR_MENU_NOM" 
			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction" 
			id="org.eclipse.hyades.sd.trace.internal.actions.NOpenSDViewAction"
			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"
			type="Monitor"/> 
		<analyzerExtension 
			name="%STR_MENU_POM" 
			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction"
			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"			
			type="Host"
			id="org.eclipse.hyades.sd.trace.internal.actions.POpenSDViewAction" /> 
		<analyzerExtension 
			name="%STR_MENU_AOM" 
			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction" 
			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"			
			type="Host"
			id="org.eclipse.hyades.sd.trace.internal.actions.AOpenSDViewAction" /> 
  		<analyzerExtension 
  			name="%STR_MENU_TOM" 
  			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction"
  			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"  			
  			type="Profiler" 
  			id="org.eclipse.hyades.sd.trace.internal.actions.TOpenSDViewAction" /> 
  		<analyzerExtension 
  			name="%STR_MENU_OOM" 
  			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction" 
  			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"  			
  			type="Profiler"
  			id="org.eclipse.hyades.sd.trace.internal.actions.OOpenSDViewAction" /> 
  		<analyzerExtension 
  			name="%STR_MENU_COM" 
  			class="org.eclipse.hyades.sd.trace.internal.actions.OpenSDViewAction"
  			icon="./icons/full/obj16/sequencediagram_obj.gif"
			extension="trace"  			
  			type="Profiler" 
  			id="org.eclipse.hyades.sd.trace.internal.actions.COpenSDViewAction" />
  </extension>

   <extension          
		point="org.eclipse.hyades.sd.ui.SDGraphLoader">
		<graphLoader
			resource = "1">
			<ModelLoader
				class= "org.eclipse.hyades.sd.trace.internal.loader.TRCAgentLoader">
			</ModelLoader>
		</graphLoader>
		<graphLoader
			resource = "4">
			<ModelLoader
				class= "org.eclipse.hyades.sd.trace.internal.loader.TRCMonitorLoader">
			</ModelLoader>
		</graphLoader>
		<graphLoader
			resource = "3">
			<ModelLoader
				class= "org.eclipse.hyades.sd.trace.internal.loader.TRCNodeLoader">
			</ModelLoader>
		</graphLoader>
		<graphLoader
			resource = "2">
			<ModelLoader
				class= "org.eclipse.hyades.sd.trace.internal.loader.TRCProcessProxyLoader">
			</ModelLoader>
		</graphLoader>
		<graphLoader
			resource = "5">
			<ModelLoader
				class= "org.eclipse.hyades.sd.trace.internal.loader.TRCThreadLoader">
			</ModelLoader>
		</graphLoader>
	</extension>
		
</plugin>
